Key Shortcuts not saving for a KDE enabled Quassel client
03/03/2011 02:44 PM - dbainton

Status: Resolved Start date: 03/03/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.7-pre 0S: Linux
Description

Trying to set custom key shortcuts from Settings -> Configure Shortcuts on a KDE enabled Quassel client doesn't seem to save the
changes to disk, restarting the client will always give the default shortcuts.

(This bug was tested on 0.7.1 and the latest git master.)

Associated revisions

Revision 56f70df2 - 02/16/2015 09:56 PM - Manuel Nickschas

Fix shortcut saving on KDE, and use the system dialog for Frameworks

While re-enabling the system dialog for shortcut editing for KF5,

| finally figured out why shortcuts where never saved when using KDE;
a long standing bug we've had.

Turns out QDialog::exec() does not actually save things. All this time

| was looking into completely different directions; but it never

occured to me that | need to explicitly save after the dialog is
accepted (our own dialog does this automatically). This is not a
complaint; it was being stupid on my end :)

Fixes #1057.

History

#1 - 03/22/2011 01:03 AM - johu

- Status changed from New to Confirmed

#2 - 05/03/2011 03:51 AM - peteru
Bug also confirmed in Version: v0.7.2 (dist-f93ace0)
"Save as Scheme Defaults" also does not work as intended.

#3 - 11/15/2012 05:49 AM - rbrent

I ran into this one with v0.8.0 (dist-5988f4c) still. As a workaround, | copied the
[Shortcuts] section from ~/.config/quassel-irc.org to ~/.kde/share/config/quasselrc and the shortcuts | had saved there worked.

#4 - 02/16/2015 10:01 PM - Anonymous
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|56f70df273886f020699d296bcb7e3fbea237c09.
